<?xml version="1.0" encoding="euc-jp" ?>
<!--
  csj_sdb.xsl
  Written by Masaya YAMAGUCHI
  2005-05-26 - 2015-04-14
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="Shift_JIS" />

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="kdb">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=shift_jis"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link rel="stylesheet" href="csj_sdb.css" type="text/css" />
        <title>
          <xsl:value-of select="@i"/>
        </title>
      </head>
      <body>
        <xsl:apply-templates/>
	<!-- reffer to http://www.feedthebot.com/pagespeed/defer-loading-javascript.html -->
	<script type="text/javascript">
	  function downloadJSAtOnload() {location.href="#himawari";}
	  if (window.addEventListener)
	  window.addEventListener("load", downloadJSAtOnload, false);
	  else if (window.attachEvent)
	  window.attachEvent("onload", downloadJSAtOnload);
	  else window.onload = downloadJSAtOnload;
	</script>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="l">
		<xsl:choose>
			<xsl:when test="s[@noise = '1']">
			</xsl:when>
			<xsl:otherwise>
    		<span class="lu">
      		<xsl:attribute name="title">
						<xsl:if test="@e">
    	    		<xsl:text>Ĺñ̢ɽ: </xsl:text>
      	  		<xsl:value-of select="@e"/>
						</xsl:if>
						<xsl:if test="@t">
	        		<xsl:text>, ɽɽ: </xsl:text>
  	      		<xsl:value-of select="@t"/>
						</xsl:if>
						<xsl:if test="@p">
    	    		<xsl:text>, ʻ: </xsl:text>
      	  		<xsl:value-of select="@p"/>
						</xsl:if>
						<xsl:if test="@x">
	        		<xsl:text>, ¾ξ: </xsl:text>
  	      		<xsl:value-of select="@x"/>
						</xsl:if>
						<xsl:if test="@c">
    	    		<xsl:text>, ѷ: </xsl:text>
      	  		<xsl:value-of select="@c"/>
						</xsl:if>
						<xsl:if test="@f">
    	    		<xsl:text>, ѷ: </xsl:text>
      	  		<xsl:value-of select="@f"/>
						</xsl:if>
      		</xsl:attribute>
    			<span class="long_unit">
      			<xsl:text>|</xsl:text>
    			</span>
    			<xsl:apply-templates/>
    		</span>
			</xsl:otherwise>
		</xsl:choose>
  </xsl:template>


  <xsl:template match="s">
    <span class="su">	
      <xsl:attribute name="title">
				<xsl:if test="@e">
	        <xsl:text>ûñ̢ɽ: </xsl:text>
  	      <xsl:value-of select="@e"/>
				</xsl:if>
				<xsl:if test="@t">
		    	<xsl:text>, ɽɽ: </xsl:text>
    		  <xsl:value-of select="@t"/>
				</xsl:if>
				<xsl:if test="@p">
	        <xsl:text>, ʻ: </xsl:text>
  	      <xsl:value-of select="@p"/>
				</xsl:if>
				<xsl:if test="@x">
	        <xsl:text>, ¾ξ: </xsl:text>
  	      <xsl:value-of select="@x"/>
				</xsl:if>
				<xsl:if test="@c">
	        <xsl:text>, ѷ: </xsl:text>
  	      <xsl:value-of select="@c"/>
				</xsl:if>
				<xsl:if test="@f">
	        <xsl:text>, ѷ: </xsl:text>
  	      <xsl:value-of select="@f"/>
				</xsl:if>
				<xsl:if test="@r">
	        <xsl:text>, ȯ: </xsl:text>
  	      <xsl:value-of select="@r"/>
				</xsl:if>
      </xsl:attribute>
      <xsl:text>/</xsl:text>
      <xsl:apply-templates/>
    </span>
    <xsl:if test="@u != ''">
      <span class="clause_boundary">
        <xsl:attribute name="title">
          <xsl:text>ᶭ: </xsl:text>
           <xsl:value-of select="@u"/>
        </xsl:attribute>
        <xsl:text>$</xsl:text>
        <xsl:value-of select="@u"/>
      </span>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p">
    <br />
  </xsl:template>

  <xsl:template match="T">
		<xsl:if test="@n != '0001' and preceding-sibling::T[1][@noise = '']">
			<br />
		</xsl:if>
    <div class="timestamp">
      <xsl:value-of select="@n"/><xsl:text> </xsl:text>
      <xsl:value-of select="@s"/><xsl:text>-</xsl:text>
      <xsl:value-of select="@e"/><xsl:text> </xsl:text>
      <xsl:value-of select="@c"/><xsl:text>:</xsl:text>
      <xsl:value-of select="@t"/>
			<xsl:choose>
				<xsl:when test="@noise">
      		<xsl:value-of select="@noise"/>
      	</xsl:when>
				<xsl:otherwise>
					<br />
				</xsl:otherwise>
			</xsl:choose>
    </div>
  </xsl:template>

  <xsl:template match="tg">
    <span class="target_char">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>
</xsl:stylesheet>
